Open CASCADE Technology: HLRBRep_TheQuadCurvFuncOfTheQuadCurvExactInterCSurf Class Reference

Open CASCADE Technology 6.8.0

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
HLRBRep_TheQuadCurvFuncOfTheQuadCurvExactInterCSurf Class Reference

`#include <HLRBRep_TheQuadCurvFuncOfTheQuadCurvExactInterCSurf.hxx>`

Inheritance diagram for HLRBRep_TheQuadCurvFuncOfTheQuadCurvExactInterCSurf:
[legend]

## Public Member Functions
| HLRBRep_TheQuadCurvFuncOfTheQuadCurvExactInterCSurf (const IntSurf_Quadric &Q, const gp_Lin &C)
Standard_Boolean | Value (const Standard_Real Param, Standard_Real &F)
| Computes the value <F>of the function for the variable <X>. Returns True if the calculation were successfully done, False otherwise. More...
Standard_Boolean | Derivative (const Standard_Real Param, Standard_Real &D)
| Computes the derivative <D> of the function for the variable <X>. Returns True if the calculation were successfully done, False otherwise. More...
Standard_Boolean | Values (const Standard_Real Param, Standard_Real &F, Standard_Real &D)
| Computes the value <F> and the derivative <D> of the function for the variable <X>. Returns True if the calculation were successfully done, False otherwise. More...
Public Member Functions inherited from math_FunctionWithDerivative
virtual void | Delete ()
virtual | ~math_FunctionWithDerivative ()
Public Member Functions inherited from math_Function
virtual Standard_Integer | GetStateNumber ()
| returns the state of the function corresponding to the latest call of any methods associated with the function. This function is called by each of the algorithms described later which defined the function Integer Algorithm::StateNumber(). The algorithm has the responsibility to call this function when it has found a solution (i.e. a root or a minimum) and has to maintain the association between the solution found and this StateNumber. Byu default, this method returns 0 (which means for the algorithm: no state has been saved). It is the responsibility of the programmer to decide if he needs to save the current state of the function and to return an Integer that allows retrieval of the state. More...

## Constructor & Destructor Documentation

HLRBRep_TheQuadCurvFuncOfTheQuadCurvExactInterCSurf::HLRBRep_TheQuadCurvFuncOfTheQuadCurvExactInterCSurf | ( | const IntSurf_Quadric & | Q,
|  | const gp_Lin & | C
| ) |  |

## Member Function Documentation

Standard_Boolean HLRBRep_TheQuadCurvFuncOfTheQuadCurvExactInterCSurf::Derivative | ( | const Standard_Real | X,
|  | Standard_Real & | D
| ) |  |
| virtual

Computes the derivative <D> of the function for the variable <X>. Returns True if the calculation were successfully done, False otherwise.

Implements math_FunctionWithDerivative.

Standard_Boolean HLRBRep_TheQuadCurvFuncOfTheQuadCurvExactInterCSurf::Value | ( | const Standard_Real | X,
|  | Standard_Real & | F
| ) |  |
| virtual

Computes the value <F>of the function for the variable <X>. Returns True if the calculation were successfully done, False otherwise.

Implements math_FunctionWithDerivative.

Standard_Boolean HLRBRep_TheQuadCurvFuncOfTheQuadCurvExactInterCSurf::Values | ( | const Standard_Real | X,
|  | Standard_Real & | F,
|  | Standard_Real & | D
| ) |  |
| virtual

Computes the value <F> and the derivative <D> of the function for the variable <X>. Returns True if the calculation were successfully done, False otherwise.

Implements math_FunctionWithDerivative.

The documentation for this class was generated from the following file:

- HLRBRep_TheQuadCurvFuncOfTheQuadCurvExactInterCSurf.hxx